Generate OAuth authorization URL for existing connection
curl --request PATCH \
--url https://api.withampersand.com/v1/projects/{projectIdOrName}/connections/{connectionId}:oauth-update \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.withampersand.com/v1/projects/{projectIdOrName}/connections/{connectionId}:oauth-update"
headers = {"X-Api-Key": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.withampersand.com/v1/projects/{projectIdOrName}/connections/{connectionId}:oauth-update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"https://login.salesforce.com/services/oauth2/authorize?client_id=xxx&redirect_uri=https%3A%2F%2Fapi.withampersand.com%2Fcallbacks%2Fv1%2Foauth&state=xxx"{
"type": "about:blank",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Bad Request",
"status": 400,
"detail": "The input message is incorrect",
"instance": "123456-1234-1235-4567489798",
"issues": [
{
"type": "about:blank",
"detail": "exampleNumericProperty should be numeric",
"in": "path",
"name": "exampleNumericProperty",
"value": "abc"
},
{
"type": "about:blank",
"title": "Input isn't valid with respect to schema",
"detail": "examplePropertyWithPattern a2345678901 doesn't match pattern '^\\d{11}$'",
"in": "body",
"name": "items[0].examplePropertyWithPattern",
"value": "a2345678901"
}
]
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}OAuth
Generate OAuth authorization URL for existing connection
Generate a URL for the browser to render to kick off an OAuth flow that updates an existing connection. Use this when the connection’s credentials need to be refreshed. To start an OAuth flow without specifying a connection ID, use the /oauth-connect endpoint instead.
PATCH
/
projects
/
{projectIdOrName}
/
connections
/
{connectionId}
:oauth-update
Generate OAuth authorization URL for existing connection
Authorizations
APIKeyHeaderBearer
Path Parameters
Ampersand project ID or name.
The ID of the connection to update.
Response
URL to initiate OAuth flow
The response is of type string.
Example:
"https://login.salesforce.com/services/oauth2/authorize?client_id=xxx&redirect_uri=https%3A%2F%2Fapi.withampersand.com%2Fcallbacks%2Fv1%2Foauth&state=xxx"
Was this page helpful?
⌘I

